Commit f508854f authored by Alex Orange's avatar Alex Orange

Add support for gnuradio-companion.

parent 79150c53
#!/bin/bash
sudo DEBIAN_FRONTEND=noninteractive apt-get install -y git cmake g++ libboost-all-dev libgmp-dev swig python3-numpy python3-mako python3-sphinx python3-lxml doxygen libfftw3-dev libcomedi-dev libsdl1.2-dev libgsl-dev libqwt-qt5-dev libqt5opengl5-dev python3-pyqt5 liblog4cpp5-dev libzmq3-dev python3-yaml python3-click python3-click-plugins
sudo DEBIAN_FRONTEND=noninteractive apt-get install -y git cmake g++ libboost-all-dev libgmp-dev swig python3-numpy python3-mako python3-sphinx python3-lxml doxygen libfftw3-dev libcomedi-dev libsdl1.2-dev libgsl-dev libqwt-qt5-dev libqt5opengl5-dev python3-pyqt5 liblog4cpp5-dev libzmq3-dev python3-yaml python3-click python3-click-plugins python3-gi python3-gi-cairo gir1.2-gtk-3.0
sudo mkdir /opt/gnuradio
sudo chown `id -u` /opt/gnuradio
......@@ -40,7 +40,7 @@ END
mkdir build
cd build
cmake -DCMAKE_INSTALL_PREFIX:PATH=/opt/gnuradio ../
cmake -DENABLE_GRC=ON -DCMAKE_INSTALL_PREFIX:PATH=/opt/gnuradio ../
make
sudo make install
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment